// =============================================================== //
//                                                                 //
//   File      : Translate.hxx                                     //
//   Purpose   : Interface for Nucleotide->AA translation          //
//                                                                 //
//   Coded by Ralf Westram (coder@reallysoft.de) in June 2006      //
//   Institute of Microbiology (Technical University Munich)       //
//   http://www.arb-home.de/                                       //
//                                                                 //
// =============================================================== //

#ifndef TRANSLATE_HXX
#define TRANSLATE_HXX

#ifndef ARBDB_BASE_H
#include <arbdb_base.h>
#endif

// handle translation info stored in species fields:
GB_ERROR translate_getInfo(GBDATA *gb_species, int& arb_transl_table, int &codon_start);
GB_ERROR translate_saveInfo(GBDATA *gb_species, int arb_transl_table, int codon_start);
GB_ERROR translate_removeInfo(GBDATA *gb_species);

// translate:
int translate_nuc2aa(int arb_code_nr, char *data, size_t size, size_t pos, bool translate_all, bool create_start_codon, bool append_stop_codon, int *translatedSize);

#else
#error Translate.hxx included twice
#endif // TRANSLATE_HXX
