// ============================================================= //
//                                                               //
//   File      : arb_global_defs.h                               //
//   Purpose   : ARB wide constants                              //
//                                                               //
//   Coded by Ralf Westram (coder@reallysoft.de) in April 2012   //
//   Institute of Microbiology (Technical University Munich)     //
//   http://www.arb-home.de/                                     //
//                                                               //
// ============================================================= //

#ifndef ARB_GLOBAL_DEFS_H
#define ARB_GLOBAL_DEFS_H

#define NO_TREE_SELECTED   "tree_?????"
#define NO_ALI_SELECTED    "????"
#define NO_CONFIG_SELECTED ""
#define NO_FIELD_SELECTED  "----"

#define DISPLAY_NONE "<< none >>"

namespace GAP {
    inline bool is_std_gap(const char c) { return c == '-' || c == '.'; }         // these gaps occur in sequences stored in arb
    inline bool is_import_gap(const char c) { return is_std_gap(c) || c == '~'; } // (atm) used by CONVERTALN

    inline const char *anyGapChars() { return ".-~=?"; } // (atm) used to initialize AWARs defining gaps
};

#else
#error arb_global_defs.h included twice
#endif // ARB_GLOBAL_DEFS_H
